package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.UserAddress;
import com.ruoyi.system.domain.vo.DistributedVo;

import java.util.List;

/**
 * 用户地址信息Service接口
 * 
 * @author liming
 * @date 2023-08-01
 */
public interface UserAddressService extends IService<UserAddress> {

    /**
     * 根据用户id查询最新一条用户的地址信息
     */
    UserAddress getAddress(Long userId);

    /**
     * 获取用户省份人数统计信息
     */
    List<DistributedVo> getProvince();

}
