package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.BaseParam;
import com.ruoyi.system.domain.TemplateLibrary;
import com.ruoyi.system.mapper.TemplateLibraryMapper;
import com.ruoyi.system.service.TemplateLibraryService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 模板库Service业务层处理
 * 
 * @author liming
 * @date 2023-07-12
 */
@Service
public class TemplateLibraryServiceImpl  extends ServiceImpl<TemplateLibraryMapper, TemplateLibrary> implements TemplateLibraryService {

    @Resource
    TemplateLibraryMapper templateLibraryMapper;
    @Override
    public IPage<TemplateLibrary> list(BaseParam param) {
        return templateLibraryMapper.list(new Page<TemplateLibrary>().setCurrent(param.getCurrent()).setSize(param.getSize()),param.getName());
    }
}
